package com.mdd.admin.validate.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("用户订单创建参数")
public class UserOrderCreateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("userId")
   private Integer userId;
   @ApiModelProperty("session")
   private String sessionId;
   @ApiModelProperty("防红记录ID")
   private Integer floodId;
   @ApiModelProperty("客户端ip")
   private @NotNull(
   message = "ip参数缺失"
) String ip;
   @ApiModelProperty("国家")
   private @NotNull(
   message = "country参数缺失"
) String country;
   @ApiModelProperty("域名")
   private @NotNull(
   message = "domain参数缺失"
) String domain;
   @ApiModelProperty("设备")
   private String device;
   @ApiModelProperty("浏览器")
   private @NotNull(
   message = "browser参数缺失"
) String browser;
   @ApiModelProperty("客户环境")
   private @NotNull(
   message = "userAgent参数缺失"
) String userAgent;
   @ApiModelProperty("浏览器语言")
   private String language;
   @ApiModelProperty("业务归属iD")
   private @NotNull(
   message = "adminId参数缺失"
) Integer adminId;
   @ApiModelProperty("是否分流")
   private Integer split;
   @ApiModelProperty("可见管理员，逗号隔开")
   private String viewIds;

   public Integer getUserId() {
      return this.userId;
   }

   public String getSessionId() {
      return this.sessionId;
   }

   public Integer getFloodId() {
      return this.floodId;
   }

   public @NotNull(
   message = "ip参数缺失"
) String getIp() {
      return this.ip;
   }

   public @NotNull(
   message = "country参数缺失"
) String getCountry() {
      return this.country;
   }

   public @NotNull(
   message = "domain参数缺失"
) String getDomain() {
      return this.domain;
   }

   public String getDevice() {
      return this.device;
   }

   public @NotNull(
   message = "browser参数缺失"
) String getBrowser() {
      return this.browser;
   }

   public @NotNull(
   message = "userAgent参数缺失"
) String getUserAgent() {
      return this.userAgent;
   }

   public String getLanguage() {
      return this.language;
   }

   public @NotNull(
   message = "adminId参数缺失"
) Integer getAdminId() {
      return this.adminId;
   }

   public Integer getSplit() {
      return this.split;
   }

   public String getViewIds() {
      return this.viewIds;
   }

   public void setUserId(Integer userId) {
      this.userId = userId;
   }

   public void setSessionId(String sessionId) {
      this.sessionId = sessionId;
   }

   public void setFloodId(Integer floodId) {
      this.floodId = floodId;
   }

   public void setIp(@NotNull(
   message = "ip参数缺失"
) String ip) {
      this.ip = ip;
   }

   public void setCountry(@NotNull(
   message = "country参数缺失"
) String country) {
      this.country = country;
   }

   public void setDomain(@NotNull(
   message = "domain参数缺失"
) String domain) {
      this.domain = domain;
   }

   public void setDevice(String device) {
      this.device = device;
   }

   public void setBrowser(@NotNull(
   message = "browser参数缺失"
) String browser) {
      this.browser = browser;
   }

   public void setUserAgent(@NotNull(
   message = "userAgent参数缺失"
) String userAgent) {
      this.userAgent = userAgent;
   }

   public void setLanguage(String language) {
      this.language = language;
   }

   public void setAdminId(@NotNull(
   message = "adminId参数缺失"
) Integer adminId) {
      this.adminId = adminId;
   }

   public void setSplit(Integer split) {
      this.split = split;
   }

   public void setViewIds(String viewIds) {
      this.viewIds = viewIds;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserOrderCreateValidate)) {
         return false;
      } else {
         UserOrderCreateValidate other = (UserOrderCreateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label167: {
               Object this$userId = this.getUserId();
               Object other$userId = other.getUserId();
               if (this$userId == null) {
                  if (other$userId == null) {
                     break label167;
                  }
               } else if (this$userId.equals(other$userId)) {
                  break label167;
               }

               return false;
            }

            Object this$floodId = this.getFloodId();
            Object other$floodId = other.getFloodId();
            if (this$floodId == null) {
               if (other$floodId != null) {
                  return false;
               }
            } else if (!this$floodId.equals(other$floodId)) {
               return false;
            }

            label153: {
               Object this$adminId = this.getAdminId();
               Object other$adminId = other.getAdminId();
               if (this$adminId == null) {
                  if (other$adminId == null) {
                     break label153;
                  }
               } else if (this$adminId.equals(other$adminId)) {
                  break label153;
               }

               return false;
            }

            Object this$split = this.getSplit();
            Object other$split = other.getSplit();
            if (this$split == null) {
               if (other$split != null) {
                  return false;
               }
            } else if (!this$split.equals(other$split)) {
               return false;
            }

            label139: {
               Object this$sessionId = this.getSessionId();
               Object other$sessionId = other.getSessionId();
               if (this$sessionId == null) {
                  if (other$sessionId == null) {
                     break label139;
                  }
               } else if (this$sessionId.equals(other$sessionId)) {
                  break label139;
               }

               return false;
            }

            Object this$ip = this.getIp();
            Object other$ip = other.getIp();
            if (this$ip == null) {
               if (other$ip != null) {
                  return false;
               }
            } else if (!this$ip.equals(other$ip)) {
               return false;
            }

            label125: {
               Object this$country = this.getCountry();
               Object other$country = other.getCountry();
               if (this$country == null) {
                  if (other$country == null) {
                     break label125;
                  }
               } else if (this$country.equals(other$country)) {
                  break label125;
               }

               return false;
            }

            label118: {
               Object this$domain = this.getDomain();
               Object other$domain = other.getDomain();
               if (this$domain == null) {
                  if (other$domain == null) {
                     break label118;
                  }
               } else if (this$domain.equals(other$domain)) {
                  break label118;
               }

               return false;
            }

            Object this$device = this.getDevice();
            Object other$device = other.getDevice();
            if (this$device == null) {
               if (other$device != null) {
                  return false;
               }
            } else if (!this$device.equals(other$device)) {
               return false;
            }

            label104: {
               Object this$browser = this.getBrowser();
               Object other$browser = other.getBrowser();
               if (this$browser == null) {
                  if (other$browser == null) {
                     break label104;
                  }
               } else if (this$browser.equals(other$browser)) {
                  break label104;
               }

               return false;
            }

            label97: {
               Object this$userAgent = this.getUserAgent();
               Object other$userAgent = other.getUserAgent();
               if (this$userAgent == null) {
                  if (other$userAgent == null) {
                     break label97;
                  }
               } else if (this$userAgent.equals(other$userAgent)) {
                  break label97;
               }

               return false;
            }

            Object this$language = this.getLanguage();
            Object other$language = other.getLanguage();
            if (this$language == null) {
               if (other$language != null) {
                  return false;
               }
            } else if (!this$language.equals(other$language)) {
               return false;
            }

            Object this$viewIds = this.getViewIds();
            Object other$viewIds = other.getViewIds();
            if (this$viewIds == null) {
               if (other$viewIds != null) {
                  return false;
               }
            } else if (!this$viewIds.equals(other$viewIds)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserOrderCreateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $userId = this.getUserId();
      result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
      Object $floodId = this.getFloodId();
      result = result * 59 + ($floodId == null ? 43 : $floodId.hashCode());
      Object $adminId = this.getAdminId();
      result = result * 59 + ($adminId == null ? 43 : $adminId.hashCode());
      Object $split = this.getSplit();
      result = result * 59 + ($split == null ? 43 : $split.hashCode());
      Object $sessionId = this.getSessionId();
      result = result * 59 + ($sessionId == null ? 43 : $sessionId.hashCode());
      Object $ip = this.getIp();
      result = result * 59 + ($ip == null ? 43 : $ip.hashCode());
      Object $country = this.getCountry();
      result = result * 59 + ($country == null ? 43 : $country.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $device = this.getDevice();
      result = result * 59 + ($device == null ? 43 : $device.hashCode());
      Object $browser = this.getBrowser();
      result = result * 59 + ($browser == null ? 43 : $browser.hashCode());
      Object $userAgent = this.getUserAgent();
      result = result * 59 + ($userAgent == null ? 43 : $userAgent.hashCode());
      Object $language = this.getLanguage();
      result = result * 59 + ($language == null ? 43 : $language.hashCode());
      Object $viewIds = this.getViewIds();
      result = result * 59 + ($viewIds == null ? 43 : $viewIds.hashCode());
      return result;
   }

   public String toString() {
      return "UserOrderCreateValidate(userId=" + this.getUserId() + ", sessionId=" + this.getSessionId() + ", floodId=" + this.getFloodId() + ", ip=" + this.getIp() + ", country=" + this.getCountry() + ", domain=" + this.getDomain() + ", device=" + this.getDevice() + ", browser=" + this.getBrowser() + ", userAgent=" + this.getUserAgent() + ", language=" + this.getLanguage() + ", adminId=" + this.getAdminId() + ", split=" + this.getSplit() + ", viewIds=" + this.getViewIds() + ")";
   }
}
